#include<bits/stdc++.h>
struct Point {
	Point(int _x, int _y) {
		x = _x;
		y = _y;
	}
	int x;
	int y;
	bool operator<(const Point& other) const {
		return x<other.x || (x==other.x && y< other.y);
	}
	bool operator==(const Point& other) const {
		return x == other.x && y == other.y;
	}
};
struct Vector {
	Vector(int _x, int _y) {
		if(_x < 0 || (_x == 0 && _y < 0)) {
			_x *= -1;
			_y *= -1;		
		}
		x = _x;
		y = _y;
	}
	int x;
	int y;
	bool operator<(const Vector& other) const {
		return x<other.x || (x==other.x && y< other.y);
	}
	bool operator==(const Vector& other) const {
		return x == other.x && y == other.y;
	}
};
int main(){
	int N;
	int x, y;
	std::ios::sync_with_stdio(0);
	std::cin >> N;
	std::vector<Point> points;
	points.reserve(N);
	for(int i=0;i<N;++i){
		std::cin >> x >> y;
		points.push_back(Point(x,y));
	}

	std::multiset<Vector> m;
	for(int i=0;i<N;++i){
		std::set<Vector> s;
		for(int j=0;j<N;++j){
			if(i==j) continue;
			s.insert(Vector(points[i].x - points[j].x, points[i].y - points[j].y));			
		}
		m.insert(s.begin(), s.end());
	}

	int res = 0;
	Vector last{-1005, -1005};
	for(auto it : m){
		if(it == last) continue;
		if(m.count(it) == N) {
			res++;
		}
		last = it;
	}
	std::cout << res*2 << std::endl;

	return 0;
}
